OutOfBedResource

Reads out-of-bed notifications.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class OutOfBedResource

Reads out-of-bed notifications. Get it from NotificationsResource.outOfBed().

Methods

list

public JsonNode list(
        Map<String, ?> query,
        RequestOptions options) throws IOException, InterruptedException

Lists out-of-bed notifications (GET /v1/slim/notifications/oob).

Parameters:

  • query: query parameters; null values are skipped
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

recent

public JsonNode recent(
        Map<String, ?> query,
        RequestOptions options) throws IOException, InterruptedException

Lists recent out-of-bed notifications (GET /v1/slim/notifications/recent/oob).

Parameters:

  • query: query parameters; null values are skipped
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page